获取文档的索引任务列表
1 min read
get/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks
Request example
curl --request GET \
--url https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks"
headers = {
"Authorization": "Bearer <token>",
}
response = requests.request("GET", url, headers=headers)
print(response.text)const response = await fetch('https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
});
const data = await response.json();
console.log(data);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks"))
.header("Authorization", "Bearer <token>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require 'uri'
require 'net/http'
url = URI('https://api.dify.ai/v1/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = url.scheme == 'https'
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyResponse
{
"data": [
{
"active_operations": [
"parse"
],
"completed_at": "2026-09-03T10:03:40Z",
"created_at": "2026-09-03T10:02:11Z",
"document_id": "2f6b8d1a-7c3e-4a5b-9d0e-1f2a3b4c5d6e",
"document_revision": 1,
"error_code": "DOCUMENT_COMPILATION_FAILED",
"error_message": "The document could not be processed. Try again, or contact an administrator with the error reference.",
"failure": {
"action": "contact_admin",
"category": "internal",
"code": "DOCUMENT_COMPILATION_FAILED",
"message": "Agent Knowledge Base could not complete the operation. Try again, or contact an administrator with the error reference.",
"parameters": null,
"retryPolicy": "manual",
"stage": "parsing",
"traceId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"
},
"id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"phase": "parsing",
"progress_percent": 0,
"retry_at": null,
"semantic_enrichment": {
"error_code": null,
"error_message": null,
"failure": null,
"nodes_completed": 0,
"nodes_total": null,
"provider_calls": null,
"provider_calls_maximum": null,
"state": "disabled",
"updated_at": null
},
"stage": "queued",
"state": "failed",
"updated_at": "2026-09-03T10:03:40Z"
},
{
"active_operations": [],
"completed_at": "2026-10-20T08:16:05Z",
"created_at": "2026-10-20T08:15:42Z",
"document_id": "2f6b8d1a-7c3e-4a5b-9d0e-1f2a3b4c5d6e",
"document_revision": 2,
"error_code": null,
"error_message": null,
"failure": null,
"id": "c4e8a2f6-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"knowledge_space_id": "9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b",
"phase": "complete",
"progress_percent": 100,
"retry_at": null,
"semantic_enrichment": {
"error_code": null,
"error_message": null,
"failure": null,
"nodes_completed": 0,
"nodes_total": null,
"provider_calls": null,
"provider_calls_maximum": null,
"state": "disabled",
"updated_at": null
},
"stage": "published",
"state": "succeeded",
"updated_at": "2026-10-20T08:16:05Z"
}
],
"next_cursor": null
}{
"code": "knowledge_fs_invalid_request",
"message": "Agent Knowledge Base request is invalid.",
"status": 400,
"violations": [
{
"field": [
"limit"
],
"type": "greater_than_equal"
}
]
}{
"code": "knowledge_fs_invalid_request",
"message": "Agent Knowledge Base request is invalid.",
"status": 400
}{
"code": "knowledge_fs_invalid_request",
"failure": {
"category": "validation",
"code": "KNOWLEDGE_FS_INVALID_REQUEST",
"message": "The Agent Knowledge Base request is invalid.",
"retryPolicy": "never",
"traceId": "7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83"
},
"message": "The Agent Knowledge Base request is invalid.",
"status": 400
}{
"code": "knowledge_fs_invalid_credential",
"message": "Invalid Agent Knowledge Base service credential.",
"status": 401
}{
"code": "unauthorized",
"message": "Access token is invalid",
"status": 401
}{
"code": "forbidden",
"message": "Sorry, you have reached the knowledge base request rate limit of your subscription.",
"status": 403
}{
"code": "knowledge_fs_access_denied",
"message": "Agent Knowledge Base operation is not allowed.",
"status": 403
}{
"code": "knowledge_fs_access_denied",
"failure": {
"action": "contact_admin",
"category": "authorization",
"code": "KNOWLEDGE_FS_ACCESS_DENIED",
"message": "You do not have permission to perform this Agent Knowledge Base operation.",
"retryPolicy": "never",
"traceId": "7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83"
},
"message": "You do not have permission to perform this Agent Knowledge Base operation.",
"status": 403
}{
"code": "not_found",
"message": "The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.",
"status": 404
}{
"code": "knowledge_fs_upstream_unavailable",
"failure": {
"action": "contact_admin",
"category": "internal",
"code": "KNOWLEDGE_FS_INTERNAL_ERROR",
"message": "Agent Knowledge Base could not complete the operation. Try again, or contact an administrator with the error reference.",
"retryPolicy": "manual",
"traceId": "5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b"
},
"message": "Agent Knowledge Base could not complete the operation. Try again, or contact an administrator with the error reference.",
"status": 502
}{
"code": "knowledge_fs_upstream_unavailable",
"message": "Agent Knowledge Base is unavailable.",
"status": 502
}{
"code": "knowledge_fs_operation_unavailable",
"message": "Agent Knowledge Base operation is not available.",
"status": 503
}{
"code": "knowledge_fs_operation_unavailable",
"failure": {
"action": "retry",
"category": "dependency",
"code": "KNOWLEDGE_FS_UNAVAILABLE",
"message": "A service required by Agent Knowledge Base is temporarily unavailable.",
"retryPolicy": "manual",
"traceId": "5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b"
},
"message": "A service required by Agent Knowledge Base is temporarily unavailable.",
"status": 503
}get/knowledge-fs/spaces/{knowledge_base_id}/logical-documents/{document_id}/processing-tasks
Authorization
Path parameters
知识库 ID:即知识库 API 访问 对话框中所示服务 API 端点的最后一段(
…/knowledge-fs/spaces/<knowledge base ID>),也是地址栏中 /datasets/new/ 之后的那一段。Query parameters
Responses
application/json
一页索引任务。
一页索引任务,最早的在前。
Show child attributesHide child attributes
当前阶段正在进行的操作,例如
parse、chunk、embedding 或 publication。任务结束时间,ISO 8601 格式。运行期间为
null。文档 ID。
此任务构建的修订版本。
state 为 failed 时的错误码。error_code 对应的错误消息,可能与 failure.message 不同。state 为 failed 时的错误详情。其中 stage 为任务失败时所处的 phase,traceId 为任务 ID。其他情况下为 null。Show child attributesHide child attributes
建议的下一步操作(如有):
configure_model、configure_parser、configure_source、contact_admin、reupload 或 retry。不适用时为 null。HTTP 错误响应体中不包含此字段。失败类别:
authorization、canceled、configuration、conflict、dependency、internal、not_found、rate_limit、timeout 或 validation。稳定的错误码,采用大写蛇形命名,例如
KNOWLEDGE_FS_CONFLICT 或 SOURCE_CREDENTIAL_TEST_FAILED。错误码或失败类别对应的公开消息。不会暴露提供商的错误详情。
描述失败细节的值,最多 8 个,键取自
attempt、currentRowVersion、documentCount、expectedRowVersion、fileSizeBytes、limit、maxFileSizeBytes、maxItems、modelType、providerKind、retryAfterSeconds 和 status。没有时为 null。HTTP 错误响应体中不包含此字段。重试是否有用:
automatic(服务会自动重试)、manual(需自行重试)、after_configuration(先在 Dify 中修正知识库配置)或 never(需修改请求)。失败所在的阶段,例如
query_generation 或 credential-test。不适用时为 null。HTTP 错误响应体中不包含此字段。联系管理员时需提供的参考编号。在包含失败详情的成功响应中可能为
null,在 HTTP 错误响应体中可能不出现。知识库的内部 ID,并非路径中的知识库 ID。
任务当前执行的环节:
queued、parsing、outline_summary、chunking_indexing、graph_admission、publication 或 complete。进度,取值 0~100,由
stage 推算。自动重试的时间,ISO 8601 格式。
state 为 retry_wait 时设置。修订版本发布后的知识图谱构建。索引会在发布前建好知识图谱,因此不会安排这一步。任务运行期间
state 为 not_scheduled,任务结束后为 disabled。nodes_completed 始终为 0。Show child attributesHide child attributes
state 为 failed 时的错误码。error_code 对应的错误消息,可能与 failure.message 不同。state 为 failed 时的错误详情,否则为 null。Show child attributesHide child attributes
建议的下一步操作(如有):
configure_model、configure_parser、configure_source、contact_admin、reupload 或 retry。不适用时为 null。HTTP 错误响应体中不包含此字段。失败类别:
authorization、canceled、configuration、conflict、dependency、internal、not_found、rate_limit、timeout 或 validation。稳定的错误码,采用大写蛇形命名,例如
KNOWLEDGE_FS_CONFLICT 或 SOURCE_CREDENTIAL_TEST_FAILED。错误码或失败类别对应的公开消息。不会暴露提供商的错误详情。
描述失败细节的值,最多 8 个,键取自
attempt、currentRowVersion、documentCount、expectedRowVersion、fileSizeBytes、limit、maxFileSizeBytes、maxItems、modelType、providerKind、retryAfterSeconds 和 status。没有时为 null。HTTP 错误响应体中不包含此字段。重试是否有用:
automatic(服务会自动重试)、manual(需自行重试)、after_configuration(先在 Dify 中修正知识库配置)或 never(需修改请求)。失败所在的阶段,例如
query_generation 或 credential-test。不适用时为 null。HTTP 错误响应体中不包含此字段。联系管理员时需提供的参考编号。在包含失败详情的成功响应中可能为
null,在 HTTP 错误响应体中可能不出现。已构建的知识图谱节点数:
state 变为 ready 之前为 0,之后与 nodes_total 相同。需构建的知识图谱节点数。确定之前为
null。目前已发起的模型调用次数。
构建知识图谱最多可发起的模型调用次数。
not_scheduled、pending、running、ready、failed 或 disabled。语义增强最后变更时间,ISO 8601 格式。
已到达的最后一个检查点,按推进顺序依次为:
queued、parsed、outline_built、nodes_generated、projection_built、smoke_eval_passed、published。任务失败或取消时,该值停在最后到达的检查点,因此结果要看 state。运行状态:
dispatch_pending、queued:等待工作进程处理。retry_wait:已安排在retry_at自动重试。running:工作进程正在索引。succeeded:修订版本已发布,可响应查询。failed:详见failure。可用 重试索引任务 重新启动。canceled。superseded:较新的一次尝试取代了本次尝试。
succeeded、failed、canceled 和 superseded 为终态。
任务最后变更时间,ISO 8601 格式。
下一页的游标,最后一页时为
null。将其作为 cursor 传回。